petsc-3.7.7 2017-09-25
Report Typos and Errors

# KSPPIPEFCGGetTruncationType

get the truncation strategy employed by PIPEFCG

### Synopsis

    #include "petscksp.h"
    PetscErrorCode KSPPIPEFCGGetTruncationType(KSP ksp,KSPFCDTruncationType *truncstrat)

Not Collective

### Input Parameter

ksp -the Krylov space context

### Output Parameter

truncstrat -the strategy type

### Options Database

-ksp_pipefcg_truncation, -ksp_pipefcg_truncation_restart

### Keywords

KSP, PIPEFCG, truncation

### See Also

KSPPIPEFCG, KSPPIPEFCGSetTruncationType, KSPFCDTruncationType

Level:intermediate
Location:src/ksp/ksp/impls/fcg/pipefcg/pipefcg.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages